Bug 1400344 (CVE-2016-8656) - CVE-2016-8656 jboss: jbossas: unsafe chown of server.log in jboss init script allows privilege escalation
Summary: CVE-2016-8656 jboss: jbossas: unsafe chown of server.log in jboss init script...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-8656
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160915,repo...
Depends On: 1402973 1402974 1402975
Blocks: 1399004 1424497 1520314
TreeView+ depends on / blocked
 
Reported: 2016-11-30 23:22 UTC by Bharti Kundal
Modified: 2019-07-12 13:04 UTC (History)
36 users (show)

Fixed In Version: jbossas 5.2.0-23, jbossas 6.4.13, jbossas 7.0.5
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that the jboss init script performed unsafe file handling which could result in local privilege escalation.
Clone Of:
Environment:
Last Closed: 2019-07-12 13:04:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0244 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform security update 2017-02-03 01:39:38 UTC
Red Hat Product Errata RHSA-2017:0245 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform security update 2017-02-03 01:36:51 UTC
Red Hat Product Errata RHSA-2017:0246 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform security update 2017-02-03 01:33:58 UTC
Red Hat Product Errata RHSA-2017:0250 normal SHIPPED_LIVE Important: jboss-ec2-eap security, bug fix, and enhancement update 2017-02-03 02:03:53 UTC
Red Hat Product Errata RHSA-2017:0831 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 7.0.5 on RHEL 6 2017-03-22 21:52:40 UTC
Red Hat Product Errata RHSA-2017:0832 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 7.0.5 on RHEL 7 2017-03-22 21:51:39 UTC
Red Hat Product Errata RHSA-2017:0834 normal SHIPPED_LIVE Important: jboss-ec2-eap package for EAP 7.0.5 2017-03-22 22:01:35 UTC
Red Hat Product Errata RHSA-2017:3454 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 7.1.0 security update 2017-12-13 22:48:09 UTC
Red Hat Product Errata RHSA-2017:3455 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 7.1.0 security update 2017-12-13 22:57:25 UTC
Red Hat Product Errata RHSA-2017:3458 normal SHIPPED_LIVE Important: eap7-jboss-ec2-eap security update 2017-12-13 23:26:13 UTC
Red Hat Product Errata RHSA-2018:1609 None None None 2018-05-17 18:26:59 UTC

Description Bharti Kundal 2016-11-30 23:22:23 UTC
It was reported that the jbossas init script performed unsafe file handling, which could result in local privilege escalation.

Comment 7 errata-xmlrpc 2017-02-02 20:24:33 UTC
This issue has been addressed in the following products:



Via RHSA-2017:0247 https://rhn.redhat.com/errata/RHSA-2017-0247.html

Comment 8 errata-xmlrpc 2017-02-02 20:45:16 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 5

Via RHSA-2017:0246 https://rhn.redhat.com/errata/RHSA-2017-0246.html

Comment 9 errata-xmlrpc 2017-02-02 20:46:29 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 7

Via RHSA-2017:0245 https://rhn.redhat.com/errata/RHSA-2017-0245.html

Comment 10 errata-xmlrpc 2017-02-02 20:47:36 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2017:0244 https://rhn.redhat.com/errata/RHSA-2017-0244.html

Comment 11 errata-xmlrpc 2017-02-02 21:05:12 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2017:0250 https://rhn.redhat.com/errata/RHSA-2017-0250.html

Comment 13 errata-xmlrpc 2017-03-22 17:54:00 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7

Via RHSA-2017:0832 https://rhn.redhat.com/errata/RHSA-2017-0832.html

Comment 14 errata-xmlrpc 2017-03-22 17:54:24 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6

Via RHSA-2017:0831 https://rhn.redhat.com/errata/RHSA-2017-0831.html

Comment 15 errata-xmlrpc 2017-03-22 18:01:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6
  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7

Via RHSA-2017:0834 https://rhn.redhat.com/errata/RHSA-2017-0834.html

Comment 17 Bharti Kundal 2017-05-08 15:48:14 UTC
Statement:

It was found that a variant of the Tomcat CVE-2016-1240 exploit is also applicable to Red Hat JBoss Enterprise Application Platform 5, 6, and 7. CVE-2016-8656 addresses these problems with JBoss EAP. The issue is now corrected in the various versions of Red Hat JBoss Enterprise Application Platform including EAP 6.4.13 and EAP 7.0.5. For further information please refer to https://access.redhat.com/articles/3016681

Comment 19 errata-xmlrpc 2017-12-13 18:26:36 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2017:3454 https://access.redhat.com/errata/RHSA-2017:3454

Comment 20 errata-xmlrpc 2017-12-13 18:42:34 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7

Via RHSA-2017:3455 https://access.redhat.com/errata/RHSA-2017:3455

Comment 21 errata-xmlrpc 2017-12-13 18:49:02 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2017:3458 https://access.redhat.com/errata/RHSA-2017:3458

Comment 22 errata-xmlrpc 2018-05-17 18:26:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 5 for RHEL 5
  Red Hat JBoss Enterprise Application Platform 5 for RHEL 6

Via RHSA-2018:1609 https://access.redhat.com/errata/RHSA-2018:1609

Comment 23 Product Security DevOps Team 2019-07-12 13:04:26 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2016-8656


Note You need to log in before you can comment on or make changes to this bug.